vcov {stats} | R Documentation

## Calculate Variance-Covariance Matrix for a Fitted Model Object

### Description

Returns the variance-covariance matrix of the main parameters of a fitted model object.

### Usage

    vcov(object, ...)

### Arguments

`object` | a fitted model object, typically. Sometimes also a `summary()` object of such a fitted model.
`...` | additional arguments for method functions. For the `glm` method this can be used to pass a `dispersion` parameter.

### Details

This is a generic function. Functions with names beginning in `vcov.` will be methods for this function. Classes with methods for this function include: `lm`, `mlm`, `glm`, `nls`, `summary.lm`, `summary.glm`, `negbin`, `polr`, `rlm` (in package MASS), `multinom` (in package nnet) `gls`, `lme` (in package nlme), `coxph` and `survreg` (in package survival).

(`vcov()` methods for summary objects allow more efficient and still encapsulated access when both `summary(mod)` and `vcov(mod)` are needed.)

### Value

A matrix of the estimated covariances between the parameter estimates in the linear or non-linear predictor of the model. This should have row and column names corresponding to the parameter names given by the `coef` method.

[Package stats version 3.4.2 Index]